Mail archive
alpine-aports

[alpine-aports] [PATCH 2/2] testing/zathura-djvu: new aport

From: Andrew Hills <ahills_at_ednos.net>
Date: Sun, 7 Jun 2015 17:55:58 -0400

https://pwmt.org/projects/zathura-djvu
DjVu support for zathura
---
 testing/zathura-djvu/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/zathura-djvu/APKBUILD
diff --git a/testing/zathura-djvu/APKBUILD b/testing/zathura-djvu/APKBUILD
new file mode 100644
index 0000000..a739ce5
--- /dev/null
+++ b/testing/zathura-djvu/APKBUILD
_at_@ -0,0 +1,41 @@
+# Contributor: Andrew Hills <ahills_at_ednos.net>
+# Maintainer: Andrew Hills <ahills_at_ednos.net>
+pkgname=zathura-djvu
+pkgver=0.2.4
+pkgrel=0
+pkgdesc="DjVu support for zathura"
+url="https://pwmt.org/projects/zathura-djvu"
+arch="all"
+license="zlib"
+depends=""
+depends_dev=""
+makedepends="$depends_dev zathura-dev girara-dev djvulibre-dev gtk+3.0-dev"
+install=""
+subpackages=""
+source="https://pwmt.org/projects/zathura-djvu/download/zathura-djvu-$pkgver.tar.gz"
+
+_builddir="$srcdir"/zathura-djvu-$pkgver
+prepare() {
+	local i
+	cd "$_builddir"
+	for i in $source; do
+		case $i in
+		*.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+		esac
+	done
+}
+
+build() {
+	cd "$_builddir"
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	rm -f "$pkgdir"/usr/lib/*.la
+}
+
+md5sums="672a25dc9433b2541971c2e4e052bdd3  zathura-djvu-0.2.4.tar.gz"
+sha256sums="ac10b8c07fd9f58281225e1a4cb026634cd03bf6b549eaceeea02f99ab5334bc  zathura-djvu-0.2.4.tar.gz"
+sha512sums="192df545b686259089342044ab682c2517f8e377667a9d44f6f416e1ac7fb7b2e45fa22d34004583c6081650a15d2becb350296a39a647a8dcd2ccc7ef1066d8  zathura-djvu-0.2.4.tar.gz"
-- 
2.4.2
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Sun Jun 07 2015 - 17:55:58 GMT